
Redmine - Defect #31582

Issue subject may be truncated if the subject field in the receiving email is split into multiple lines in

singlebytes and multibytes mixed

2019-06-18 09:16 - Yuichi HARADA

Status: Confirmed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Email receiving Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version:  

Description

When you create issues via email, the subject of the created issue may be truncated if the subject field in the original email is split

into multiple lines in singlebytes and multibytes mixed format like the following.

To: redmine@somenet.foo

From: John Smith <JSmith@somenet.foo>

Subject: =?UTF-8?B?W+e3iuaApV1bUkVETUlORV1bV0FSTklORzAxXVByb2JsZW06IOODoQ==?=

 =?UTF-8?B?44Oi44Oq5a656YeP44GM6YC86L+r44GX44Gm44GE44G+44GZ?=

Message-ID: <42feb4b3-4dec-7c61-0edd-45dfc4795143@somenet.foo>

Date: Tue, 18 Jun 2019 14:08:06 +0900

MIME-Version: 1.0

Content-Type: text/plain; charset=utf-8; format=flowed

Content-Language: en-US

Content-Transfer-Encoding: 7bit

Problem started at 13:49:27 on 2019.06.18

 The Subject should be decoded like this:

[緊急][REDMINE][WARNING01]Problem: メモリ容量が逼迫しています

 But the subject of the created issue will be the following:

[緊急][REDMINE][WARNING01]Problem: メ

 Attached a test.

Related issues:

Related to Redmine - Defect #31365: Issue subject may be broken if the subjec... Closed

Associated revisions

Revision 18269 - 2019-06-20 08:57 - Go MAEDA

Reverts r18245 (#31582, #31365).

Issue subjets are truncated in some cases when they are created via email.

Revision 18270 - 2019-06-20 09:06 - Go MAEDA

Merged r18269 from trunk to 4.0-stable in order to revert r18246 (#31582, #31365).

History

#1 - 2019-06-20 08:42 - Go MAEDA

This is caused by patch #31365.

I think this is a severe problem and r18245 must be reverted.
https://www.redmine.org/issues/31365
https://www.redmine.org/projects/redmine/repository/svn/revisions/18245


#2 - 2019-06-20 08:43 - Go MAEDA

- Related to Defect #31365: Issue subject may be broken if the subject field in the receiving email is split into multiple lines added

#3 - 2019-06-20 08:46 - Go MAEDA

- Status changed from New to Confirmed

Files

test_issue_subject_truncate.patch 1.68 KB 2019-06-18 Yuichi HARADA
